<%-- $HeadURL: svn+ssh://jwilden@svn.wald.intevation.org/deegree/apps/igeoportal-standard/branches/2.5_testing/download.jsp $ --%>
<%-- 
 This file is part of deegree, http://deegree.org/
 Copyright (C) 2001-2009 by:
 - Department of Geography, University of Bonn -
 and
 - lat/lon GmbH -

 This library is free software; you can redistribute it and/or modify it under
 the terms of the GNU Lesser General Public License as published by the Free
 Software Foundation; either version 2.1 of the License, or (at your option)
 any later version.
 This library is distributed in the hope that it will be useful, but WITHOUT
 ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 details.
 You should have received a copy of the GNU Lesser General Public License
 along with this library; if not, write to the Free Software Foundation, Inc.,
 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

 Contact information:

 lat/lon GmbH
 Aennchenstr. 19, 53177 Bonn
 Germany
 http://lat-lon.de/

 Department of Geography, University of Bonn
 Prof. Dr. Klaus Greve
 Postfach 1147, 53001 Bonn
 Germany
 http://www.geographie.uni-bonn.de/deegree/

 e-mail: info@deegree.org
--%>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ page import="org.deegree.i18n.Messages" %>
<%@ page import="java.util.Locale" %>
<%
    Locale loc = request.getLocale();
%>
<html>
   <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <meta name="author" content="lat/lon GmbH" />
        <meta name="KeyWords" content="deegree iGeoPortal lat/lon" />
        <title>deegree iGeoPortal - download</title>
        <link href="css/deegree.css" rel="stylesheet" type="text/css" />
        <script language="JavaScript1.2" type="text/javascript" src="javascript/rpc.js"></script>
        <script language="JavaScript1.2" type="text/javascript">

            function getBBox(){
                return opener.parent.controller.mapModel.getBoundingBox();
            }

            function _getLayerList(){
                var layerlist = '';
                var b = opener.parent.controller.mapModel.getLayerList();
                var lgroup = b.getLayerGroups();
                for(var i = 0; i < lgroup.length;i++){
                    var g = lgroup[i].getLayers();
                    for(var j = 0; j < g.length;j++){
                        if( g[j].isVisible() ){
                            var layern = g[j].getName();
                            layerlist += ',' + layern;
                        }
                    }
                }
                layerlist = layerlist.substring(1,layerlist.length);
                return layerlist;
            }

            function getLayerList(){
                var layerlist = '';
                var b = opener.parent.controller.mapModel.getLayerList();
                var lgroup = b.getLayerGroups();
                for(var i = 0; i < lgroup.length;i++){
                    var g = lgroup[i].getLayers();
                    for(var j = 0; j < g.length;j++){
                        if( g[j].isVisible() ){
                            var v = g[j].isVisible() + "|" lgroup[i].getServiceURL();
                            layerlist += createMember( g[j].getName(), v, "string" );
                        }
                    }
                }
                return layerlist;
            }

            function download() {

                var list = 'nil';//document.getElementById('users');
                var ix = list.selectedIndex;
                if( ix < 1 ){
                    alert('Please choose a user.');
                    return;
                }
                var user = 'nil';//document.forms[0].users[ix].value;

                // best thing to do is restrict this
                // user shouldn't be allowed to choose a name...
                var filename = 'nil';//document.forms[0].filename.value;
                if( filename.length < 1 ){
                    alert('Please insert a valid file name.');
                    document.forms[0].filename.focus();
                    return;
                }

                var req= "<?xml version='1.0' encoding='UTF-8'?><methodCall>" +
                    "<methodName>mapView:downloadFeatures</methodName><params><param><value><struct>"+
<%
    String baseContext = (String)session.getAttribute("CURRENT_CONTEXT");
%>
                    "<member><name>baseContext</name><value><string><%= baseContext%></string></value></member>"+
                    "<member><name>layerList</name><value><struct>"+ getLayerList() +"</struct></value></member>";

                var b = getBBox();
                req = req + "<member><name>boundingBox</name><value><struct>"+
                    "<member><name>minx</name><value><double>"+ b.minx +"</double></value></member>" +
                    "<member><name>miny</name><value><double>"+ b.miny +"</double></value></member>" +
                    "<member><name>maxx</name><value><double>"+ b.maxx +"</double></value></member>" +
                    "<member><name>maxy</name><value><double>"+ b.maxy +"</double></value></member>" +
                    "</struct></value></member>";
                req = req + "</struct></value></param></params></methodCall>";

                document.forms[0].method = "post";
                document.forms[0].action = "control?rpc=" + req;
                document.forms[0].submit();
            }
        </script>
    </head>
    <body background="./images/background.jpg" class="navi10b">
        <form action="javascript:download();">
            <table>
                <tr>
                    <td width="30">&nbsp;</td>
                    <td>
                        <p class="navi10b"><%=Messages.get( loc, "IGEO_STD_DWNLD_HEADER" ) %></p>
                        <br/>
                        <a href="javascript:download()" class="buttonArea"><%=Messages.get( loc, "IGEO_STD_BTN_OK" ) %></a>
                    </td>
                </tr>
            </table>
        </form>
    </body>
</html>
